Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.openssl
Class PEMException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.bouncycastle.openssl.PEMException

All Implemented Interfaces:
  java.io.Serializable

    public class PEMException

extends java.io.IOException

See Also:
  Serialized Form

Constructor Summary
`PEMException(java.lang.String message)`
`PEMException(java.lang.String message, java.lang.Exception underlying)`

Method Summary
`java.lang.Throwable` `getCause()`
`java.lang.Exception` `getUnderlyingException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PEMException

    public PEMException(java.lang.String message)

### PEMException

    public PEMException(java.lang.String message,
                        java.lang.Exception underlying)

Method Detail

### getUnderlyingException

    public java.lang.Exception getUnderlyingException()

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

Bouncy Castle Cryptography Library 1.45